Last modified: 2012-09-27 01:10:38 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 24901 - editsection and floating issue with vector skin at ckb.wikipedia
editsection and floating issue with vector skin at ckb.wikipedia
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
unspecified
All Windows 7
: Normal normal (vote)
: ---
Assigned To: Trevor Parscal
http://ckb.wikipedia.org
:
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2010-08-22 09:16 UTC by marmzok
Modified: 2012-09-27 01:10 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description marmzok 2010-08-22 09:16:12 UTC
Hi
First of all, I'm not sure about if I make bug in right place or not; if not, please guide me.
ckb.wikipedia has not moved to beta yet, and we don't know why.
But I have experienced beta for more than one month, and there is no problem about that (Beta and Mono skin). But about VECTOR skin, there are some problems:
By default image will set in right, that should be in left(we use Arabic script rtl); and when i add "left" to image tag, nothing change; funny is that when I add right, image moves to left!!!!
The other problem is about "edit" link above every section; we use Arabic script and regarding that edit link should be set in left, something like that in English:

section title..........................[edit]
but in vector we have:
[edit]section title..........................
Comment 1 marmzok 2010-08-31 11:17:34 UTC
May I make a change in Vector.css?
Have you received this issue?
Comment 2 Roan Kattouw 2010-09-12 15:21:59 UTC
The edit links line up just fine for me at http://ckb.wikipedia.org/wiki/%DA%BE%DB%8E%D9%85%D9%86_%D9%85%D9%88%DA%A9%D8%B1%DB%8C%D8%A7%D9%86%DB%8C . Does this happen when you are logged out? Maybe it's your user CSS or some gadget that's messing things up.
Comment 3 marmzok 2010-09-12 15:52:14 UTC
Dear Roan, we had those problems that I mentioned above. But I made these changes:
http://ckb.wikipedia.org/w/index.php?title=MediaWiki%3AVector.css&action=historysubmit&diff=40665&oldid=40334
and. Right now the problem for editsection has solved, and about pictures, their flotation is correct but I think text is very close to pics. If you dont mind please check it and if correction was needed do it. Thank a lot.
Comment 4 Roan Kattouw 2010-09-13 15:47:04 UTC
(In reply to comment #3)
> If you dont
> mind please check it and if correction was needed do it. Thank a lot.
Looks good.

These issues are fixed in trunk as well, closing bug.
Comment 5 Derk-Jan Hartman 2010-10-25 11:05:28 UTC
I have no idea which revisions fixed this, but said revision is at least still not deployed and I just got another help request on en.wikipedia from a rtl user, this time from dv.wikipedia.org (Gave him tips on how to do this in his MediaWiki:Vector.css.

I advise deploying whatever revision fixes this.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links